using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace GreatSpringGameJam {
    public class Entity {

        public readonly Map Map;
        public Vector2 Position;

        public Entity(Map map, Vector2 position) {
            this.Map = map;
            this.Position = position;
        }

        public virtual void Update(GameTime time) {
        }

        public virtual void Draw(GameTime time, SpriteBatch batch) {
        }

    }
}